import type { Jwk } from './JwkTypes';
import { Buffer } from '../utils';
import { KeyType } from './KeyType';
export declare class Key {
    readonly publicKey: Buffer;
    readonly keyType: KeyType;
    constructor(publicKey: Uint8Array, keyType: KeyType);
    static fromPublicKey(publicKey: Uint8Array, keyType: KeyType): Key;
    static fromPublicKeyBase58(publicKey: string, keyType: KeyType): Key;
    static fromFingerprint(fingerprint: string): Key;
    get prefixedPublicKey(): Buffer;
    get fingerprint(): string;
    get publicKeyBase58(): string;
    toJwk(): Jwk;
    static fromJwk(jwk: Jwk): Key;
}
